import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ConfigurationDetailsBillingFormComponent } from './configuration-details-billing-form.component';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatSelectModule } from '@angular/material/select';
import { MatRadioModule } from '@angular/material/radio';
import { MatOptionModule } from '@angular/material/core';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ErrorFormatterPipe } from '@shared/ui/common/pipes/error-formatter.pipe';
import { CommonDialogsModule } from '@shared/common-dialogs/common-dialogs.module';
import { UiModule } from '@shared/ui/ui.module';

describe('ConfigurationDetailsBillingFormComponent', () => {
  let component: ConfigurationDetailsBillingFormComponent;
  let fixture: ComponentFixture<ConfigurationDetailsBillingFormComponent>;

  beforeEach(() => {
    TestBed.configureTestingModule({
      schemas: [ CUSTOM_ELEMENTS_SCHEMA ],
      declarations: [ConfigurationDetailsBillingFormComponent, ErrorFormatterPipe],
      imports: [
        ReactiveFormsModule, HttpClientTestingModule, MatSnackBarModule, MatDialogModule, MatCheckboxModule,
        MatCheckboxModule, MatSelectModule, MatRadioModule, MatOptionModule, MatInputModule, MatFormFieldModule,
        NoopAnimationsModule, CommonDialogsModule, UiModule,
      ]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ConfigurationDetailsBillingFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
